App\Library\Amazon\Classes\ComputerProcessor:
    xml_root_name: ComputerProcessor
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        cacheMemory:
            expose: true
            access_type: public_method
            serialized_name: CacheMemory
            accessor:
                getter: getCacheMemory
                setter: setCacheMemory
            type: App\Library\Amazon\Classes\CacheMemory
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        processorBrand:
            expose: true
            access_type: public_method
            serialized_name: ProcessorBrand
            accessor:
                getter: getProcessorBrand
                setter: setProcessorBrand
            type: App\Library\Amazon\Classes\ProcessorBrand
        processorCoolingDevice:
            expose: true
            access_type: public_method
            serialized_name: ProcessorCoolingDevice
            accessor:
                getter: getProcessorCoolingDevice
                setter: setProcessorCoolingDevice
            type: App\Library\Amazon\Classes\ProcessorCoolingDevice
        processorCount:
            expose: true
            access_type: public_method
            serialized_name: ProcessorCount
            accessor:
                getter: getProcessorCount
                setter: setProcessorCount
            type: App\Library\Amazon\Classes\ProcessorCount
        processorSeries:
            expose: true
            access_type: public_method
            serialized_name: ProcessorSeries
            accessor:
                getter: getProcessorSeries
                setter: setProcessorSeries
            type: App\Library\Amazon\Classes\ProcessorSeries
        processorSocket:
            expose: true
            access_type: public_method
            serialized_name: ProcessorSocket
            accessor:
                getter: getProcessorSocket
                setter: setProcessorSocket
            type: App\Library\Amazon\Classes\ProcessorSocket
        processorSpeed:
            expose: true
            access_type: public_method
            serialized_name: ProcessorSpeed
            accessor:
                getter: getProcessorSpeed
                setter: setProcessorSpeed
            type: App\Library\Amazon\Classes\ProcessorSpeed
